package com.kingdee.eas.custom.projectbonus;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class BonusCycleFactory
{
    private BonusCycleFactory()
    {
    }
    public static com.kingdee.eas.custom.projectbonus.IBonusCycle getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.projectbonus.IBonusCycle)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("6677AD64") ,com.kingdee.eas.custom.projectbonus.IBonusCycle.class);
    }
    
    public static com.kingdee.eas.custom.projectbonus.IBonusCycle getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.projectbonus.IBonusCycle)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("6677AD64") ,com.kingdee.eas.custom.projectbonus.IBonusCycle.class, objectCtx);
    }
    public static com.kingdee.eas.custom.projectbonus.IBonusCycle getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.projectbonus.IBonusCycle)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("6677AD64"));
    }
    public static com.kingdee.eas.custom.projectbonus.IBonusCycle getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.projectbonus.IBonusCycle)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("6677AD64"));
    }
}